Bug 200803 - FC6 OpenIPMI initscript fix for udev{,d}
FC6 OpenIPMI initscript fix for udev{,d}
Product: Fedora
Classification: Fedora
Component: OpenIPMI (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2006-07-31 14:47 EDT by Matt Domsch
Modified: 2015-03-04 20:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-01 07:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2006-07-31 14:47:56 EDT
Description of problem:
The name of the udev binary has changed over time, from /sbin/udev to
/sbin/udevd.  The OpenIPMI initscript has, at at various times, included a check
for one or the other of these names, but in reality, either could be present.

A fix for the initscript has been checked in to the OpenIPMI project CVS, which
allows distros to have either /sbin/udev or /sbin/udevd and for the script to
handle this properly.  FC6 does not (yet) have this fix, and in fact it looks
for the wrong file (looks for /sbin/udev when it isn't present, but /sbin/udevd
is present).

Please upgrade to OpenIPMI initscript from OpenIPMI CVS.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. service ipmi start
Actual results:
warning that /dev/ipmi0 already exists

Expected results:
no warning

Additional info:
Comment 1 Phil Knirsch 2006-08-01 07:27:19 EDT
Fixed in OpenIPMI-2.0.6-5 which should hit rawhide in the next few days.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.